Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1541037 - [abrt] xfce4-settings: convert_xfce_output_info(): xfce4-display-settings killed by SIGSEGV
Summary: [abrt] xfce4-settings: convert_xfce_output_info(): xfce4-display-settings kil...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-settings
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a919c5eb7a97be22b223aacedc3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-01 15:03 UTC by William
Modified: 2018-03-20 18:12 UTC (History)
2 users (show)

Fixed In Version: xfce4-settings-4.12.2-2.fc26 xfce4-settings-4.12.2-2.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-20 17:28:14 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2018-02-01 15:03 UTC, William
no flags Details
File: cgroup (deleted)
2018-02-01 15:03 UTC, William
no flags Details
File: core_backtrace (deleted)
2018-02-01 15:03 UTC, William
no flags Details
File: cpuinfo (deleted)
2018-02-01 15:03 UTC, William
no flags Details
File: dso_list (deleted)
2018-02-01 15:03 UTC, William
no flags Details
File: environ (deleted)
2018-02-01 15:03 UTC, William
no flags Details
File: exploitable (deleted)
2018-02-01 15:03 UTC, William
no flags Details
File: limits (deleted)
2018-02-01 15:03 UTC, William
no flags Details
File: maps (deleted)
2018-02-01 15:03 UTC, William
no flags Details
File: mountinfo (deleted)
2018-02-01 15:03 UTC, William
no flags Details
File: open_fds (deleted)
2018-02-01 15:03 UTC, William
no flags Details
File: proc_pid_status (deleted)
2018-02-01 15:03 UTC, William
no flags Details

Description William 2018-02-01 15:03:34 UTC
Version-Release number of selected component:
xfce4-settings-4.12.1-4.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        xfce4-display-settings
crash_function: convert_xfce_output_info
executable:     /usr/bin/xfce4-display-settings
journald_cursor: s=1be4171603b246cea2bae87642537bd4;i=685;b=8ac7d1261be94a708ddc5915639bf899;m=66d5bead;t=56427d601f67a;x=ba0e5c4f12afbb84
kernel:         4.14.14-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 convert_xfce_output_info at main.c:1626
 #1 get_output_for_window at main.c:2679
 #2 select_current_output_from_dialog_position at main.c:2716
 #3 dialog_map_event_cb at main.c:2730
 #4 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:84
 #9 gtk_widget_event_internal at gtkwidget.c:5017
 #10 gtk_widget_event at gtkwidget.c:4814
 #11 gtk_main_do_event at gtkmain.c:1652
 #17 gtk_main at gtkmain.c:1270
 #18 display_settings_show_main_dialog at main.c:2824

Potential duplicate: bug 1347012

Comment 1 William 2018-02-01 15:03:38 UTC
Created attachment 1389547 [details]
File: backtrace

Comment 2 William 2018-02-01 15:03:39 UTC
Created attachment 1389548 [details]
File: cgroup

Comment 3 William 2018-02-01 15:03:40 UTC
Created attachment 1389549 [details]
File: core_backtrace

Comment 4 William 2018-02-01 15:03:41 UTC
Created attachment 1389550 [details]
File: cpuinfo

Comment 5 William 2018-02-01 15:03:43 UTC
Created attachment 1389551 [details]
File: dso_list

Comment 6 William 2018-02-01 15:03:44 UTC
Created attachment 1389552 [details]
File: environ

Comment 7 William 2018-02-01 15:03:46 UTC
Created attachment 1389553 [details]
File: exploitable

Comment 8 William 2018-02-01 15:03:47 UTC
Created attachment 1389554 [details]
File: limits

Comment 9 William 2018-02-01 15:03:48 UTC
Created attachment 1389555 [details]
File: maps

Comment 10 William 2018-02-01 15:03:49 UTC
Created attachment 1389556 [details]
File: mountinfo

Comment 11 William 2018-02-01 15:03:50 UTC
Created attachment 1389557 [details]
File: open_fds

Comment 12 William 2018-02-01 15:03:51 UTC
Created attachment 1389558 [details]
File: proc_pid_status

Comment 13 Mukundan Ragavan 2018-02-03 14:45:14 UTC
What were you doing when this crash happened?

Comment 14 William 2018-02-04 18:17:47 UTC
Changing the display settings causes a Crash

Comment 15 Fedora Update System 2018-03-03 22:52:19 UTC
xfce4-settings-4.12.2-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d4a2b7350f

Comment 16 Fedora Update System 2018-03-03 22:52:34 UTC
xfce4-settings-4.12.2-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9efc9ddbb6

Comment 17 Fedora Update System 2018-03-04 18:07:15 UTC
xfce4-settings-4.12.2-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9efc9ddbb6

Comment 18 Fedora Update System 2018-03-04 18:33:29 UTC
xfce4-settings-4.12.2-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d4a2b7350f

Comment 19 Fedora Update System 2018-03-20 17:28:14 UTC
xfce4-settings-4.12.2-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2018-03-20 18:12:39 UTC
xfce4-settings-4.12.2-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.